"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.promisifyMiddyMiddleware = void 0;
var promisifyMiddyMiddlewareFunction_1 = require("./promisifyMiddyMiddlewareFunction");
function promisifyMiddyMiddleware(middyMiddleware) {
    var promisifiedMiddyMiddleware = {};
    for (var key in middyMiddleware) {
        promisifiedMiddyMiddleware[key] = promisifyMiddyMiddlewareFunction_1.promisifyMiddyMiddlewareFunction(middyMiddleware[key]);
    }
    return promisifiedMiddyMiddleware;
}
exports.promisifyMiddyMiddleware = promisifyMiddyMiddleware;
//# sourceMappingURL=promisifyMiddyMiddleware.js.map